UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Voyager
Voyager
1,073 Views
Registered: ‎10-31-2016

zcu106 TRD : 4k video encoding-decoding project (SDK application)

Jump to solution

Hello, 

 

I followed the steps in the TRD. After importing the project into SDK there are some errors which indicate some files are missing like 

#include <mediactl/mediactl.h>
#include <mediactl/v4l2subdev.h>
#include <gst/gst.h>

I do not know how to proceed. 

should I include manually the petalinux folder for library?

 

Please let me know what can I do to resolve these errors.

 

thank you in advance 

Best regards 

Tags (3)
0 Kudos
1 Solution

Accepted Solutions
Xilinx Employee
Xilinx Employee
996 Views
Registered: ‎08-02-2007

Re: zcu106 TRD : 4k video encoding-decoding project (SDK application)

Jump to solution

@msh

 

I have gone through the steps in DM4 of VCU TRD just now, without changing IPI design, couldn't reproduce the error anymore.

 

Can you follow the VCU steps from scratch, and then see how it goes?

 

The sequence to build project has to be :

vcu_apm_lib
vcu_video_lib
vcu_gst_lib

vcu_gst_app

VCU_SDK_correct.JPG

5 Replies
Xilinx Employee
Xilinx Employee
1,026 Views
Registered: ‎08-02-2007

Re: zcu106 TRD : 4k video encoding-decoding project (SDK application)

Jump to solution

@msh Just want to confirm, did you see the same issue as shown in the screenshot?

APM_Library_error.JPG

If so, you might have missed updating SYSROOT environment. We have mentioned those in the wiki pages. Please follow the below steps for generating SYSROOT and to source the script.

In the petalinux project, Generate the sysroot and source the path with the below steps. Than open xsdk in the same terminal and try to build the applications.

% petalinux-build --sdk
% petalinux-package --sysroot
% source <compiled petalinux bsp path>/images/linux/sdk/environment-setup-aarch64-xilinx-linux
% cd $TRD_HOME/apu
% xsdk -workspace . &

Please let me know your observations after doing the above steps.

0 Kudos
Voyager
Voyager
1,023 Views
Registered: ‎10-31-2016

Re: zcu106 TRD : 4k video encoding-decoding project (SDK application)

Jump to solution

Hi @xud

Thank you for your reply. 

 

I have run the SYSROOT environment step as mentioned in the wiki page. My errors in SDK is different as shown below.

 

Capture.PNG

 

Best regards 

0 Kudos
Xilinx Employee
Xilinx Employee
997 Views
Registered: ‎08-02-2007

Re: zcu106 TRD : 4k video encoding-decoding project (SDK application)

Jump to solution

@msh

 

I have gone through the steps in DM4 of VCU TRD just now, without changing IPI design, couldn't reproduce the error anymore.

 

Can you follow the VCU steps from scratch, and then see how it goes?

 

The sequence to build project has to be :

vcu_apm_lib
vcu_video_lib
vcu_gst_lib

vcu_gst_app

VCU_SDK_correct.JPG

Voyager
Voyager
989 Views
Registered: ‎10-31-2016

Re: zcu106 TRD : 4k video encoding-decoding project (SDK application)

Jump to solution
Okay I will try it again and update next week
Thanks
0 Kudos
Moderator
Moderator
929 Views
Registered: ‎11-09-2015

Re: zcu106 TRD : 4k video encoding-decoding project (SDK application)

Jump to solution

Hi @msh,

 

Do you have any updates?


Florent
Product Application Engineer - Xilinx Technical Support EMEA
**~ Don't forget to reply, give kudos, and accept as solution.~**
0 Kudos